package com.example.plugincreation;

import com.intellij.execution.ui.ConsoleView;
import com.intellij.execution.ui.ConsoleViewContentType;
import com.intellij.openapi.application.ApplicationManager;
import com.intellij.openapi.ui.MessageType;
import com.intellij.openapi.diagnostic.Logger;
import com.intellij.ui.components.JBLabel;
import com.intellij.util.messages.MessageBus;
import com.intellij.util.messages.MessageBusConnection;
import groovyjarjarantlr4.v4.runtime.ConsoleErrorListener;

import javax.swing.*;
import java.awt.*;

public class ConsoleListener {
    private static final Logger LOG = Logger.getInstance(ConsoleErrorListener.class);

    public static void subscribeToConsoleErrors() {
        MessageBus messageBus = ApplicationManager.getApplication().getMessageBus();
        MessageBusConnection connection = messageBus.connect();

        connection.subscribe(ConsoleView.CONSOLE_CONTENT_ID, new ConsoleView() {

            @Override
            public void print(String text, ConsoleViewContentType contentType) {
                if (contentType == ConsoleViewContentType.ERROR_OUTPUT) {
                    // Capture error output
                    LOG.error("Error: " + text);
                    // You could then send the error to the tool window
                    updateToolWindowWithError(text);
                }
            }
        });
    }

    private static void updateToolWindowWithError(String errorMessage) {
        // Logic to update the tool window with the error message

    }

//    @Override
//    public void clear() {
//        // Clear the console (if needed)
//    }
//
//    @Override
//    public void scrollTo(int offset) {
//        // Scroll handling logic
//    }
//
//    @Override
//    public void setOutputPaused(boolean value) {
//        // Pause output if necessary
//    }


}
